Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 158203 - api needed to initiate a new indexing scan
api needed to initiate a new indexing scan
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Parsing & Indexing
6.x
All All
: P2 (vote)
: 6.x
Assigned To: issues@editor
issues@editor
: API
Depends on:
Blocks: 148723
  Show dependency treegraph
 
Reported: 2009-02-09 14:59 UTC by Stanislav Aubrecht
Modified: 2009-03-28 20:47 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Aubrecht 2009-02-09 14:59:15 UTC
task list will be using the new indexing api and it needs some way to restart the indexing process when some of its
settings have changed - for example when a new task provider has been registered or removed.
Comment 1 Vitezslav Stejskal 2009-03-27 13:47:36 UTC
http://hg.netbeans.org/jet-main/rev/de724a45b3d9

There is a new IndexingManager.refreshAllIndicies(String indexerName) method.
Comment 2 Quality Engineering 2009-03-28 20:47:51 UTC
Integrated into 'main-golden', will be available in build *200903281400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/de724a45b3d9
User: Vita Stejskal <vstejskal@netbeans.org>
Log: #158203: adding support for refreshing indicies created by one CustomIndexer


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo